/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerServlet.java
 */

package org.eu.adapt.demonstrator.web.manufacturer;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.eu.adapt.demonstrator.web.ADAPTLookAndFeel;
import org.eu.adapt.demonstrator.web.Navigation;

public class IndexServlet extends HttpServlet
{
    public void init()
        throws ServletException
    {
    }

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException 
    {
        response.setContentType("text/html");
        response.setHeader("Cache-Control", "no-cache");

        PrintWriter writer = response.getWriter();

        ADAPTLookAndFeel.generatePageHeader("..", writer);
        Navigation.generateNavigationHeader("..", writer);

        writer.println("<TABLE width=\"100%\" border=\"0\" cellspacing=\"4\" cellpadding=\"4\">");
        writer.println("<TR><TD><A href=\"Customer.html\">Customer</A></TD></TR>");
        writer.println("<TR><TD><A href=\"PurchaseOrder.html\">Purchase Order</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Item.html\">Item</A></TD></TR>");
        writer.println("<TR><TD><A href=\"FinishedGoods.html\">Finished Goods</A></TD></TR>");
        writer.println("<TR><TD><A href=\"ProductionLine.html\">Production Line</A></TD></TR>");
        writer.println("<TR><TD><A href=\"InventoryItem.html\">Inventory Item</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Storehouse.html\">Storehouse</A></TD></TR>");
        writer.println("</TABLE>");
        
        Navigation.generateNavigationFooter(writer);
        ADAPTLookAndFeel.generatePageFooter(writer);
    }
}